### DbSequence::set_range

`

###

    #include <db_cxx.h>

    int
    DbSequence::set_range(db_seq_t min, db_seq_t max);

    int DbSequence::get_range(u_int32_t, db_seq_t *minp, db_seq_t *maxp);

### Description: DbSequence::set_range

Configure a sequence range. This call is only effective when the sequence is being created. The range is limited to a signed 64 bit integer.

The DbSequence::set_range method may not be called after the DbSequence::open method is called.

The DbSequence::set_range method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

min
  Specifies the minimum value for the sequence.
max
  Specifies the maximum value for the sequence.

### Errors

The DbSequence::set_range method may fail and throw DbException, encapsulating one of the following non-zero errors, or return one of the following non-zero errors:

EINVAL
  An invalid flag value or parameter was specified.

### Description: DbSequence::get_range

The DbSequence::get_range method returns the range of values in the sequence.

The DbSequence::get_range method may be called at any time during the life of the application.

The DbSequence::get_range method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

minp
  The DbSequence::get_range method returns the minimum value in minp.
maxp
  The DbSequence::get_range method returns the maximum value in maxp.

### Class

DbSequence

### See Also

Sequences and Related Methods`

Copyright (c) 1996,2007 Oracle. All rights reserved.